0

I'm getting this error followed in the Magento exception.log. I made a migration to a new server running PHP7 + and the mcrypt module is working.

[2018-04-14 13:54:44] main.CRITICAL: Warning: Use of undefined constant MCRYPT_BLOWFISH - assumed 'MCRYPT_BLOWFISH' (this will throw an Error in a future version of PHP) in C:\xampp\htdocs\jcell\vendor\magento\framework\Encryption\Encryptor.php on line 397 {"exception":"[object] (Exception(code: 0): Warning: Use of undefined constant MCRYPT_BLOWFISH - assumed 'MCRYPT_BLOWFISH' (this will throw an Error in a future version of PHP) in C:\\xampp\\htdocs\\jcell\\vendor\\magento\\framework\\Encryption\\Encryptor.php on line 397 at C:\\xampp\\htdocs\\jcell\\vendor\\magento\\framework\\App\\ErrorHandler.php:61)"} []
[2018-04-14 13:54:46] main.CRITICAL: Warning: Use of undefined constant MCRYPT_BLOWFISH - assumed 'MCRYPT_BLOWFISH' (this will throw an Error in a future version of PHP) in C:\xampp\htdocs\jcell\vendor\magento\framework\Encryption\Encryptor.php on line 397 {"exception":"[object] (Exception(code: 0): Warning: Use of undefined constant MCRYPT_BLOWFISH - assumed 'MCRYPT_BLOWFISH' (this will throw an Error in a future version of PHP) in C:\\xampp\\htdocs\\jcell\\vendor\\magento\\framework\\Encryption\\Encryptor.php on line 397 at C:\\xampp\\htdocs\\jcell\\vendor\\magento\\framework\\App\\ErrorHandler.php:61)"} []
0

mcrypt package for php is missing. Try to install it

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.